'''
Pocket.tests.views
'''

from django.test import TestCase, Client
from django.core import mail
from django.core.urlresolvers import reverse


class BasicViewsTestCase(TestCase):
    
    # Main page
    
    def setUp(self):
        # Reqd so that PREPEND_WWW in settings doesn't cause all view tests to fail
        self.host = "www.testhost" 
        self.client = Client(HTTP_HOST = self.host)
    
    def test_main(self):
        ''' Main pocket page loads appropriately '''
        response = self.client.get(reverse('Pocket.views.Pocket'))
        self.assertEquals(response.status_code, 200)
