from django.db import models

class Subject(models.Model):
    ''' An academic subject on offer from Cambridge '''
    
    formalname = models.CharField(max_length=256)
    shortname = models.CharField(max_length=100, blank=True)
    title = models.CharField(max_length=100, blank=True)
    
    def __unicode__(self):
        return self.formalname
    
    # Returns the name to be used as a default.     
    def default():
        return "Nonone"
