"""
DBBackup.py - Back up the database
mysqldump and then Amazon S3 storage
"""
from django.core.management import setup_environ
import settings
setup_environ(settings)

import os

cmd = 'mysqldump -u %s -p%s %s > %sResources/Data/Backup/%s.sql' % (settings.DATABASE_USER, settings.DATABASE_PASSWORD, settings.DATABASE_NAME, settings.PIDGE_INSTALL_ROOT, settings.DATABASE_NAME)
os.system(cmd)

cmd = 's3sync.rb -vr %sResources/Data/Backup/ mypidge:backups/db' % (settings.PIDGE_INSTALL_ROOT)
os.system(cmd)
